%define name	streamtuner
%define version	0.11.1
%define release 2mdk

%define __libtoolize /bin/true

Name: 	 	%{name}
Summary: 	Internet audio stream browser.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://streamtuner.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig libgdk_pixbuf2.0-devel gtk2-devel curl-devel
BuildRequires:	ImageMagick
Requires:	xmms xterm

%description
Streamtuner is a stream directory browser. It offers an intuitive and unified
interface to various streaming directories through the use of a plugin system.
Currently, ShoutCast is the only plugin.

%package devel
Summary:	Development files from %name.
Requires:	%name
Group:		Development/C

%description devel
Headers and static libraries from %name.

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
%makeinstall
%find_lang %name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="StreamTuner" longtitle="Audio Stream Browser" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 art/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 art/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 art/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS NEWS TODO
%{_bindir}/%{name}*
%{_menudir}/%name
%dir %{_libdir}/%name
%dir %{_libdir}/%name/plugins
%{_libdir}/%name/plugins/*.so
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%files devel
%defattr(-,root,root)
%{_includedir}/%name
%{_libdir}/%name/plugins/*.la
%{_libdir}/%name/plugins/*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Feb 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.11.1-2mdk
- Own dir

* Sat Feb 7 2004 Austin Acton <austin@mandrake.org> 0.11.1-1mdk
- 0.11.1

* Tue Feb 3 2004 Austin Acton <austin@mandrake.org> 0.11.0-2mdk
- requires xmms, xterm
- libtoolize
- configure 2.5

* Mon Feb 2 2004 Austin Acton <austin@mandrake.org> 0.11.0-1mdk
- 0.11.0

* Fri Jan 23 2004 Austin Acton <austin@mandrake.org> 0.10.2-1mdk
- 0.10.2
- fix buildrequires (lib64)
- add icons
- add locales

* Mon Jul 14 2003 Austin Acton <aacton@yorku.ca> 0.10.0-1mdk
- 0.10.0

* Mon Mar 3 2003 Austin Acton <aacton@yorku.ca> 0.9.1-2mdk
- distlint (DIRM)

* Mon Mar 3 2003 Austin Acton <aacton@yorku.ca> 0.9.1-1mdk
- initial package
